%def_without divx

%define cvs_date 20030219
%define ver_major 0.7
%define ver_minor 32
%define realver %ver_major.%ver_minor
%define bin_date 011002
%define codecs_ver 1.0-alt2_%bin_date

Name: avifile
Version: %ver_major%ver_minor
Release: alt0.5

Summary: AVI file support library
License: GPL
Group: System/Libraries
Url: http://%name.sourceforge.net

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/%name-%realver-%cvs_date.tgz

%define qt_ver_major 3
%define sdl_ver 1.2.4
%define lame_ver 3.93.1
%define a52dec_ver 0.7.4
%define aalib_ver 1.4
%define xvid_ver 0.9.0

%if "%qt_ver_major" == "2"
%define libqt_ver 2.3.1-alt12
BuildPreReq: libqt%qt_ver_major-devel >= %libqt_ver
%endif

%if "%qt_ver_major" == "3"
BuildPreReq: libqt3-gcc_compiled = %__gcc_version_base
%endif

BuildPreReq: libSDL-devel >= %sdl_ver
BuildPreReq: liblame-devel >= %lame_ver
BuildPreReq: liba52-devel >= %a52dec_ver
BuildPreReq: aalib-devel >= %aalib_ver
BuildPreReq: libqt%qt_ver_major-devel 
BuildPreReq: xvid-devel >= %xvid_ver 

%if_with divx
%define divx5_date 20020418
BuildPreReq: libdivx4linux-5-%divx5_date-devel
%endif

# Automatically added by buildreq on Mon Feb 24 2003
BuildRequires: XFree86-devel XFree86-libs aalib-devel esound-devel fontconfig-devel freetype2-devel gcc-c++ glibc-devel-static libSDL-devel libXft-devel liba52-devel libalsa2-devel libarts-devel libaudiofile-devel libexpat libgpm-devel libjpeg-devel liblame-devel liblcms libmad-devel libmng libogg-devel libqt3-devel libslang-devel libstdc++-devel libvorbis-devel xvid-devel zlib-devel

%package -n lib%name
Summary: AVI file support library
Group: System/Libraries
Provides: lib%name = %realver
PreReq: codecs-win32 = %codecs_ver
Requires: libSDL >= %sdl_ver 
Requires: liba52 >= %a52dec_ver 
Requires: liblame >= %lame_ver 
Requires: aalib >= %aalib_ver 
Requires: xvid >= %xvid_ver 
%if_with divx
Requires: libdivx4linux-5-%divx5_date
%endif

%package -n lib%name-devel
Summary: Development environment for avifile
Group: Development/C++
Provides: lib%name-devel = %realver
Requires: lib%name = %version-%release
%if_with divx
Requires: libdivx4linux-5-%divx5_date-devel
%endif

%package -n lib%name-devel-static
Summary: Static libraries for developing programs that will use %name
Group: Development/C++
Provides: lib%name-devel-static = %realver
Requires: lib%name-devel = %version-%release

%package -n %name-player
Summary: Qt-based AVI utilities
Group: Video
Requires: lib%name = %version-%release

%if "%qt_ver_major" == "2"
Requires: libqt%qt_ver_major >= %libqt_ver
%endif

%if "%qt_ver_major" == "3"
Requires: libqt%qt_ver_major-gcc_compiled = %__gcc_version_base
%endif

%description
Avifile is a library that allows programs to read and write compressed
AVI files (Indeo? Video, DivX :-), etc.) under x86 Linux.
(De)compression is performed with Win32 DLLs.

%description -n lib%name
Avifile is a library that allows programs to read and write compressed
AVI files (Indeo? Video, DivX :-), etc.) under x86 Linux.

%description -n lib%name-devel
Avifile is a library that allows programs to read and write compressed
AVI files (Indeo? Video, DivX :-), etc.) under x86 Linux.
(De)compression is performed with Win32 DLLs.

%description -n lib%name-devel-static
This package contains the static libraries that programmers will need to
develop applications which will use %name.

%description -n %name-player
Some Qt-based utilities for work with AVI files: AVI player,
video capture utility, AVI recompressor etc.


%define qtdir %_libdir/qt%qt_ver_major

%prep
%setup -q -n %name%ver_major-%realver
find ./ -type f -name Makefile.am -print0 |xargs -r0 %__subst 's,^\(CFLAGS\),AM_\1,' --

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
(%__automake -a -c -f)
%__autoconf

pushd plugins/libmad/libmad
%__autoconf
popd

%configure --program-prefix="" \
	    --enable-release \
	    --enable-quiet \
	    --enable-static \
	    --enable-x86opt \
	    --enable-a52bin \
	    --enable-ffmpeg-a52bin \
	    --enable-mp3lame \
	    --enable-lame-bin \
	    --enable-libmad \
	    --with-iconv=%_libdir/gconv \
	    --enable-mga \
%if_without divx
	    --enable-divx4=no \
%endif
	    --with-qt-dir=%qtdir
%make_build

%install
%make_install DESTDIR=%buildroot install
%__mv %buildroot%_bindir/aviplay %buildroot%_bindir/playavi

(%__mkdir_p temp)
(%__mv doc/Makefile* temp)

# menu for playavi
%__cat << __MENU__ > playavi.menu
?package(%name-player): command="%_bindir/playavi" needs="X11" section="Multimedia/Video" \
title="AviPlayer" longtitle="QT-based player for various avi, asf, mpeg4 movie files" icon="playavi.png"
__MENU__

%__install -pD -m644 playavi.menu %buildroot%_menudir/playavi
%__install -pD -m644 bin/test.png %buildroot%_datadir/pixmaps/playavi.png

# filelist for %name-player package
find %buildroot%_bindir -type f|%__grep -Ev '(-config|kv4lsetup)'|%__sed -e 's|^%buildroot||' >%name-player.files

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n %name-player
%update_menus

%postun -n %name-player
%clean_menus

%files -n lib%name
%_libdir/*.so.*
%_libdir/%name%ver_major/*.so
%_libdir/%name%ver_major/*/*.so
%doc README doc/[A-Z]*

%files -n lib%name-devel
%_bindir/*-config
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/%name%ver_major/*.la
%_libdir/%name%ver_major/*/*.la
%_libdir/pkgconfig/*
%_datadir/aclocal/*

%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/%name%ver_major/*.a
%_libdir/%name%ver_major/*/*.a

%files -n %name-player -f %name-player.files
%_datadir/%name%ver_major
%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%doc README

%changelog
* Mon Feb 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.732-alt0.5
- 0.7.32 (transcode requires new version)

* Sat Nov 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.718-alt0.5
- 0.718
- vidix drivers included.

* Fri Oct 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.715-alt0.8
- win codecs moved to separate package.
- Added configure option that enables iconv support for convert subtitles.  
- Player works again (close #1393).

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.715-alt0.7
- rebuild with new Qt3.
- updated buildreqs.

* Mon Sep 16 2002 Sergey V Turchin <zerg@altlinux.ru> 0.715-alt0.6
- rebuild with Qt3

* Sat Sep 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.715-alt0.5
- 0.7.15 (transcode requires new version)
- g++-3.2 used

* Wed Jul 31 2002 Stanislav Ievlev <inger@altlinux.ru> 0.77-alt0.8
- rebuild with new vorbis

* Fri Jun 07 2002 Sergey V Turchin <zerg@altlinux.ru> 0.77-alt0.7
- move win32 codecs to external package

* Fri May 31 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.77-alt0.6
- rebuild with qt2 to avoid some bugs in player that apppear with
  libqt3-3.0.4-alt2. Player works fine again.

* Sat May 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.77-alt0.5
- 0.77 

* Wed May 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.76-alt0.5
- bugfix release

* Fri May 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.75-alt0.5
- xvid plugin 
- buildrequires updated

* Tue May 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.75-alt0.4
- BuildConflicts on libqt2-devel <= 2.3.1-alt10
- rebuild 

* Sun May 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.75-alt0.3
- 0.7.5

* Mon Apr  9 2001 Kostya Timoshenko <kt@altlinux.ru> 0.53.5-ipl4mdk
- remove tag obsoletes from package avifile-player.

* Fri Apr  6 2001 Kostya Timoshenko <kt@altlinux.ru> 0.53.5-ipl3mdk
- Rebuild with SDL-1.2.0
- Moved static libraries to devel-static subpackage.

* Wed Mar 14 2001 Kostya Timoshenko <kt@petr.kz> 0.53.5-ipl2mdk
- remove -march=i586 from source
- Libification.

* Wed Feb 21 2001 Kostya Timoshenko <kt@petr.kz> 0.53.5-ipl1mdk
- 0.53.5

* Thu Dec 21 2000 Alexander Bokovoy <ab@avilink.net>
- Rebuild with new version

* Tue Dec 19 2000 Alexander Bokovoy <ab@avilink.net>
- Clean SPEC file using IPL rules
- QTDIR explicitly set t solve problem with header files

* Tue Oct 02 2000 Eugene Smith <divx@euro.ru>
- Merged in contributed .spec
- First public release

* Wed Sep 20 2000 Eugene Smith <divx@euro.ru>
- First try at an RPM

